<?php defined('EM_ROOT') || exit('access denied!'); ?>



</div>

<footer class="sticky-footer bg-white" style="padding: 10px 15px;">
    <div class="text-right my-auto mr-4">
        <small><a href="<?= SERVICE_HOST ?>" target="_blank"><?= SERVICE_NAME ?></a> - v<?= ucfirst(Option::EM_VERSION) ?></small>
    </div>
</footer>


<a class="scroll-to-top rounded" href="#page-top">
    <i class="icofont-rounded-up"></i>
</a>



</div>
</div>
<?php doAction('adm_footer') ?>

<!--<script src="./views/js/sb-admin-2.min.js?t=--><?php //= Option::EM_VERSION_TIMESTAMP ?><!--"></script>-->
<script>

    window.addEventListener('load', setTopNavPosition);
    window.addEventListener('resize', setTopNavPosition);

    function setTopNavPosition() {
        const adminContainer = document.getElementById('admin-container');
        const topNav = document.querySelector('.pc-top-nav');
        if (!adminContainer || !topNav) return;

        // 获取父容器的位置信息（相对于视口）
        const containerRect = adminContainer.getBoundingClientRect();

        // 导航宽度 = 父容器宽度（包含padding的话用offsetWidth）
        const navWidth = adminContainer.offsetWidth - 247;
        // 导航左偏移 = 父容器的左偏移（确保与父容器左对齐）
        const navLeft = containerRect.left + 237;

        // 动态设置导航的位置和宽度
        topNav.style.width = `${navWidth}px`;
        topNav.style.left = `${navLeft}px`;
    }

    $(function () {
        $(document).on('click', 'a.scroll-to-top', function (e) {
            var $anchor = $(this);
            $('html, body').stop().animate({
                scrollTop: ($($anchor.attr('href')).offset().top)
            }, 1000, 'easeInOutExpo');
            e.preventDefault();
        });



        // 初始化
        const menu = $("#left-menu");
        const overlay = $(".overlay");
        const toggleBtn = $(".show-nav");
        overlay.css({ opacity: 0.06, display: "none" });

        // 切换菜单
        toggleBtn.click(function() {
            $('#content').addClass('toright')
            $('#left-menu').addClass('toright')
            overlay.show();
        });

        // 点击遮罩层关闭菜单
        overlay.click(function() {
            $('#content').removeClass('toright')
            $('#left-menu').removeClass('toright')
            overlay.hide();
        });

    });
</script>
</body>
</html>
